Bug 546451 - Review Request: php-pear-HTML-Template-IT - Simple template API.
Summary: Review Request: php-pear-HTML-Template-IT - Simple template API.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 22:11 UTC by David Hannequin
Modified: 2010-07-02 19:26 UTC (History)
3 users (show)

Fixed In Version: php-pear-HTML-Template-IT-1.3.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 21:02:34 UTC
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Hannequin 2009-12-10 22:11:56 UTC
Spec URL: http://hvad.cfppa-cibeins.com/php-pear-packages/php-pear-HTML-Template-IT.spec
SRPM URL: http://hvad.cfppa-cibeins.com/php-pear-packages/php-pear-HTML-Template-IT-1.2.1-1.src.rpm
Description: The Isotemplate API is somewhat tricky for a beginner although it is the best one you can build. template::parse() [phplib template = Isotemplate]
requests you to name a source and a target where the current block gets
parsed into. Source and target can be block names or even handler names.
This API gives you a maximum of fexibility but you always have to know
what you do which is quite unusual for php skripter like me.

Features :
  * Nested blocks
  * Include external file
  * Custom tags format (default {mytag})

Comment 1 Remi Collet 2010-01-02 07:44:33 UTC
Please read http://fedoraproject.org/wiki/Packaging/PHP

%[xmldir} => use %{pear_xmldir} 
HTML_Template_IT.xml => %{name}.xml
%{peardir} => %{pear_phpdir} + %{pear_testdir}
%{peardir}/* => please, expand to avoid to own already owned dir

BuildRequires => (version which provides needed macros)
php-pear >= 1:1.4.9-1.2

Requires => (missing)
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides => (missing)
Provides:       php-pear(HTML_Template_IT) = %{version}


%prep : no need to run pear command here, see some other php-pear-extension, could also try the pear-pear-PEAR-Command-Packaging

Caution : package.xml still a V1 format which could cause some issue. I recommend to convert it to V2 during prep (see pear convert)

Are you ready to maintain this package which seems not really active upstream ?

Comment 2 Remi Collet 2010-02-13 16:52:19 UTC
ping ?

Comment 3 David Hannequin 2010-02-16 15:09:54 UTC
Hello,
Sorry for my late reply. You will find the url of the new file and SRPM below:

Spec URL: http://hvad.fedorapeople.org/fedora/php-pear-HTML-Template-IT/php-pear-HTML-Template-IT.spec

SRPM URL: http://hvad.fedorapeople.org/fedora/php-pear-HTML-Template-IT/php-pear-HTML-Template-IT-1.2.1-2.src.rpm

Otherwise please keep the rpm as much as possible in order to then make the rpm NagiosQL.

Best regards

Comment 6 Remi Collet 2010-02-21 06:52:56 UTC
You need to fix :

- replace %define by %global
- remove PEAR from sumnary
- review description (line breaks are randomly and poorly set). Upstream description seems quite strange (I noticed... you...).
- %{pear_phpdir}/HTML must be owned (not owned by another required package)
- %{pear_phpdir}/HTML/Template must be owned

Comment 8 Remi Collet 2010-02-22 15:19:46 UTC
During build :

warning: File listed twice: /usr/share/pear/HTML/Template
warning: File listed twice: /usr/share/pear/HTML/Template/IT.php
warning: File listed twice: /usr/share/pear/HTML/Template/IT.php
warning: File listed twice: /usr/share/pear/HTML/Template/ITX.php
warning: File listed twice: /usr/share/pear/HTML/Template/ITX.php
warning: File listed twice: /usr/share/pear/HTML/Template/IT_Error.php
warning: File listed twice: /usr/share/pear/HTML/Template/IT_Error.php


You should fix you %list for files under %{pear_phpdir}

Minimal, could be :
%{pear_phpdir}/HTML

Very long and descriptive, could be
%dir %{pear_phpdir}/HTML
%dir %{pear_phpdir}/HTML/Template
%{pear_phpdir}/HTML/Template/IT.php
%{pear_phpdir}/HTML/Template/ITX.php
%{pear_phpdir}/HTML/Template/IT_Error.php


Typo detected, From rpmlint output
W: spelling-error %description -l en_US fexibility -> flexibility
W: spelling-error %description -l en_US skripter -> ?? (my english is too poor to evaluate this)

+

Comment 9 Remi Collet 2010-03-10 06:07:10 UTC
ping

Comment 13 Remi Collet 2010-03-14 08:09:49 UTC
REVIEW

+ rpmlint
php-pear-HTML-Template-IT.spec: I: checking-url http://download.pear.php.net/package/HTML_Template_IT-1.3.0.tgz (timeout 10 seconds)
php-pear-HTML-Template-IT.src: I: checking
php-pear-HTML-Template-IT.src: I: checking-url http://pear.php.net/package/HTML_Template_IT (timeout 10 seconds)
php-pear-HTML-Template-IT.src: I: checking-url http://download.pear.php.net/package/HTML_Template_IT-1.3.0.tgz (timeout 10 seconds)
php-pear-HTML-Template-IT.noarch: I: checking
php-pear-HTML-Template-IT.noarch: I: checking-url http://pear.php.net/package/HTML_Template_IT (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : BSD
+ License is upstream
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
cbd2fcffd32a39da7b260397156bddbb  HTML_Template_IT-1.3.0.tgz
+ Source URL ok
+ build  on F12.x86_64
+ BuildRequires ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ no %define
+ contain code
+ small documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ test suite ok after install
phpunit AllTests.php 
PHPUnit 3.4.11 by Sebastian Bergmann.
...................................
Time: 1 second, Memory: 8.50Mb
OK (35 tests, 79 assertions)
+ scriptlets ok
- Final Requires 
/usr/bin/pear  
+ Final Provides ok
php-pear(HTML_Template_IT) = 1.3.0
php-pear-HTML-Template-IT = 1.3.0-2.fc8

PCI output doesn't report any extension nor version dependency
$ pci -p -S -d /usr/share/pear/HTML/Template
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ...are/pear/HTML/Template/* | 4.0.7   | 0 | pcre       | FALSE              |
|                             |         |   |            | NULL               |
|                             |         |   |            | PREG_SET_ORDER     |
|                             |         |   |            | TRUE               |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | __LINE__           |
+-----------------------------+---------+---+------------+--------------------+


*** APPROVED ***

Comment 14 David Hannequin 2010-05-10 20:07:46 UTC
New Package CVS Request
=======================
Package Name: php-pear-HTML-Template-IT
Short Description: The Isotemplate API is somewhat tricky for a beginner although it is the best one you can build.
Owners: hvad
Branches: F-12 F-13 EL-5
InitialCC:

Comment 15 Kevin Fenzi 2010-05-12 17:14:47 UTC
CVS done (by process-cvs-requests.py).

(Do consider a EL-6 branch as well if it makes sense there)

Comment 16 Fedora Update System 2010-05-12 20:27:00 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.fc12

Comment 17 Fedora Update System 2010-05-12 20:35:59 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.fc13

Comment 18 Fedora Update System 2010-05-12 20:53:03 UTC
php-pear-HTML-Template-IT-1.3.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.el5

Comment 19 Fedora Update System 2010-05-13 19:30:40 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-HTML-Template-IT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.fc12

Comment 20 Fedora Update System 2010-05-13 19:30:47 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-HTML-Template-IT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.fc13

Comment 21 Fedora Update System 2010-05-14 01:05:46 UTC
php-pear-HTML-Template-IT-1.3.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-HTML-Template-IT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-HTML-Template-IT-1.3.0-2.el5

Comment 22 Fedora Update System 2010-05-31 18:27:08 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-05-31 18:28:53 UTC
php-pear-HTML-Template-IT-1.3.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-07-02 19:26:47 UTC
php-pear-HTML-Template-IT-1.3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.